<?php 

include ("../conectar.php"); 

include ("../funciones/fechas.php"); 



$codfactura=$_GET["codfactura"];

$sel_alb="SELECT * FROM facturas WHERE codfactura='$codfactura'";

$rs_alb=mysql_query($sel_alb);

$cdgcli=mysql_result($rs_alb,0,"cdgcli");

$iva=mysql_result($rs_alb,0,"iva");

$fecha=mysql_result($rs_alb,0,"fecha");

 //$remito=mysql_result($rs_alb,0,"remito");

$numfactura=mysql_result($rs_alb,0,"numfactura");

$sel_cliente="SELECT dsccli,cedcli FROM web_0301 WHERE cdgcli=$cdgcli";

$rs_cliente=mysql_query($sel_cliente);

$dsccli=mysql_result($rs_cliente,0,"dsccli");

$cedcli=mysql_result($rs_cliente,0,"cedcli");





$fechahoy=date("Y-m-d");

$sel_albaran="INSERT INTO facturastmp (codfactura,fecha) VALUE ('','$fechahoy')";

$rs_albaran=mysql_query($sel_albaran);

$codfacturatmp=mysql_insert_id();



$sel_lineas="SELECT * FROM factulinea WHERE codfactura='$codfactura' ORDER BY numlinea ASC";

$rs_lineas=mysql_query($sel_lineas);

$contador=0;

while ($contador < mysql_num_rows($rs_lineas)) {

	//$codfamilia=mysql_result($rs_lineas,$contador,"codfamilia");

	$codigo=mysql_result($rs_lineas,$contador,"codigo");

	$cantidad=mysql_result($rs_lineas,$contador,"cantidad");

	$preivi=mysql_result($rs_lineas,$contador,"preivi");

	$importe=mysql_result($rs_lineas,$contador,"importe");

	$baseimponible=$baseimponible+$importe;

	$impuesto=mysql_result($rs_lineas,$contador,"impuesto");

	$baseimpuestos=$baseimpuestos+$impuesto;

	$dcto=mysql_result($rs_lineas,$contador,"dcto");

	$sel_tmp="INSERT INTO factulineatmp (codfactura,numlinea,codigo,cantidad,preivi,importe,dcto,impuesto) VALUES ('$codfacturatmp','','$codigo','$cantidad','$preivi','$importe','$dcto','$impuesto')";

	$rs_tmp=mysql_query($sel_tmp);

	$contador++;

}



$baseimpuestos=$baseimponible*($iva/100);

$preciototal=$baseimponible+$baseimpuestos;

//$preciototal=number_format($preciototal,2);

?>

<html>

	<head>

		<title>Principal</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">

		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">

		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>

		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>

		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>

		<script language="javascript">

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

		

		var miPopup

		function abreVentana(){

			miPopup = window.open("ver_clientes.php","miwin","width=900,height=650,scrollbars=yes");

			miPopup.focus();

		}

		

		function inicio() {

			document.getElementById("modif").value=1;

			document.formulario_lineas.submit();

			document.getElementById("modif").value=0;

		}

		

		function ventanaArticulos(){

			miPopup = window.open("ver_articulos.php","miwin","width=900,height=650,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarcliente(){

			var codigo=document.getElementById("cdgcli").value;

			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		function cancelar() {

			location.href="index.php";

		}

		

		function limpiarcaja() {

			document.getElementById("dsccli").value="";

			document.getElementById("cedcli").value="";

		}

		

		function actualizar_importe()

			{

				var preivi=document.getElementById("preivi").value;

				var cantidad=document.getElementById("cantidad").value;

				var descuento=document.getElementById("descuento").value;

				

				

					if (document.getElementById("iva").value==1){

				descuento=descuento/100;

				total=preivi*cantidad;

				descuento=total*descuento;

				total=total-descuento;

				tazaimpuesto = (13/100);

				impuesto=total* tazaimpuesto;

				total=total+impuesto;

				var original=parseFloat(total);

				var result=Math.round(original*100)/100 ;

				document.getElementById("importe").value=result;

				document.getElementById("impuesto").value=impuesto;

				

				} else {

					

						descuento=descuento/100;

				total=preivi*cantidad;

				descuento=total*descuento;

				total=total-descuento;

				var original=parseFloat(total);

				var result=Math.round(original*100)/100 ;

				document.getElementById("importe").value=result;

					

			

			}

			}

		function validar_cabecera()

			{

				var mensaje="";

				if (document.getElementById("dsccli").value=="") mensaje+="  - dsccli\n";

				if (document.getElementById("fecha").value=="") mensaje+="  - Fecha\n";

				if (mensaje!="") {

					alert("Atencion, se han detectado las siguientes incorrecciones:\n\n"+mensaje);

				} else {

					document.getElementById("formulario").submit();

				}

			}	

		

		function validar() 

			{

				var mensaje="";

				var entero=0;

				var enteroo=0;

		         actualizar_importe ();

				if (document.getElementById("cdgart").value=="") mensaje="  - cdgart\n";

				if (document.getElementById("dscart").value=="") mensaje+="  - dscart\n";

				if (document.getElementById("preivi").value=="") { 

					

							mensaje+="  - Falta el preivi\n"; 

						} else {

							if (isNaN(document.getElementById("preivi").value)==true) {

								mensaje+="  - El preivi debe ser numerico\n";

							}

						}

				if (document.getElementById("cantidad").value=="") 

						{ 

						mensaje+="  - Falta la cantidad\n";

						} else {

							entero=parseInt(document.getElementById("cantidad").value);

							if (isNaN(entero)==true) {

								mensaje+="  - La cantidad debe ser numerica\n";

							} else {

									document.getElementById("cantidad").value=entero;

								}

						}

				if (document.getElementById("descuento").value=="") 

						{ 

						document.getElementById("descuento").value=0 

						} else {

							entero=parseInt(document.getElementById("descuento").value);

							if (isNaN(entero)==true) {

								mensaje+="  - El descuento debe ser numerico\n";

							} else {

								document.getElementById("descuento").value=entero;

							}

						} 

				if (document.getElementById("importe").value=="") mensaje+="  - Falta el importe\n";

				

				if (mensaje!="") {

					alert("Atencion, se han detectado las siguientes incorrecciones:\n\n"+mensaje);

				} else {

					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//

					cambio_iva();

					

					document.getElementById("formulario_lineas").submit();

					document.getElementById("cdgart").value="";

					document.getElementById("dscart").value="";

					document.getElementById("preivi").value="";

					document.getElementById("cantidad").value="";

					document.getElementById("importe").value="";

					document.getElementById("descuento").value=0;

					document.getElementById("iva").value="";							

				}

			}

			

		function cambio_iva() {

			var original=parseFloat(document.getElementById("baseimponible").value);

			var result=Math.round(original*100)/100 ;

			document.getElementById("baseimponible").value=result;

	

			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));

			var original1=parseFloat(document.getElementById("baseimpuestos").value);

			var result1=Math.round(original1*100)/100 ;

			document.getElementById("baseimpuestos").value=result1;

			var original2=parseFloat(result + result1);

			var result2=Math.round(original2*100)/100 ;

			document.getElementById("preciototal").value=result2;

		}	

		</script>

	</head>

	<body onLoad="inicio()">

		<div id="">

			<div id="zonaContenidoProforma">

				<div align="center">

		

				<div  class="contenidoencproforma">

				<form id="formulario" name="formulario" method="post" action="guardar_proforma.php">

					<table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>

						<tr>

							<td width="11%">&nbsp;</td>

					      <td rowspan="2"><input NAME="cdgcli" type="text" class="cajaPequena" id="cdgcli" size="6" maxlength="5"  readonly=""onClick="limpiarcaja()" value="<? echo $cdgcli?>">

					        <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor"></td>

					      <td>Fecha</td>

					      <td colspan="2"><? echo implota($fecha)?>
					      </td>					

						</tr>

						<tr>

						  <td>Código cliente</td>

						  <td>N. de Proforma</td>

						  <td width="34%"><?php echo $codfactura?></td>

			              <td width="16%"><input name="iva"  id="iva" value="<? echo $ivaimp?>" onChange="cambio_iva()" type="hidden"></td>

					  </tr>

						<tr>

							<td width="11%">Nombre</td>

						    <td width="27%"><? echo $dsccli?></td>

			              <td width="12%"><p>Cédula</p></td>

			              <td colspan="2"><? echo $cedcli?></td>

						</tr>

						<? $hoy=date("d/m/Y"); ?>

					</table>										

			  

			  <input id="codfacturatmp" name="codfacturatmp" value="<? echo $codfacturatmp?>" type="hidden">

			  <input id="codfactura" name="codfactura" value="<? echo $codfactura?>" type="hidden">

			  <input id="baseimpuestos2" name="baseimpuestos" value="<? echo $baseimpuestos?>" type="hidden">

			  <input id="baseimponible2" name="baseimponible" value="<? echo $baseimponible?>" type="hidden">

			  <input id="preciototal2" name="preciototal" value="<? echo $preciototal?>" type="hidden">

				<input id="accion" name="accion" value="modificar" type="hidden">

				</form>

				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas.php" target="frame_lineas">

				  <table class="fuente8" width="95%" cellspacing=0 cellpadding=3 border=0>

                    <tr>

                      <td width="6%"><p>Código</p></td>

                      <td width="8%"><input name="cdgart" type="text" class="cajaPequena" id="cdgart" size="15" maxlength="15" onChange="actualizar_importe()" ></td>

                      <td width="4%"><img src="../img/search-b-icon (5).png" width="32" height="32" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor" title="Buscar articulos"></td>

                      <td width="1%">&nbsp;</td>

                      <td width="7%">Artículo</td>

                      <input id="impuesto" name="impuesto" value="<? echo $impuesto?>"  type ="hidden">

                      <td width="21%"><input name="dscart" type="text" class="cajaGrande" id="dscart" size="50" maxlength="30" readonly ></td>

                      <td width="5%">Precio

                      <td width="2%"><? echo $simbolomoneda ?></td>

                      <td width="6%"><input name="preivi" type="text" class="cajaPequena2" id="preivi" maxlength="10" onChange="actualizar_importe()"></td>

                      <td width="7%">Cantidad</td>

                      <td width="4%"><input name="cantidad" type="text" class="cajaMinima" id="cantidad" size="10" maxlength="10" value="1" onChange="actualizar_importe()"></td>

                      <td width="4%">Dcto.</td>

                      <td width="4%"><input name="descuento" type="text" class="cajaMinima" id="descuento" size="10" maxlength="10" onChange="actualizar_importe()">

                      <td width="2%">%</td>

                      <td width="1%"></td>

                      <td width="5%">Monto

                      <td width="2%"><? echo $simbolomoneda ?></td>

                      <td width="1%"></td>

                      <td width="6%"><input name="importe" type="text" class="cajaPequena2" id="importe" size="10" maxlength="10" value="0" readonly></td>

                      <td width="4%"><img src="../img/Arrow-Down_32x32-32.png" width="32" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>

                    </tr>

                  </table>

				  <input name="codarticulo" value="<? echo $codarticulo?>" type="hidden" id="codarticulo">

				  <div id="frmBusqueda">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">

						<tr class="cabeceraTabla">

							<td width="7%">CODIGO</td>

							<td width="55%">DESCRIPCION</td>

							<td width="8%">CANT.</td>

							<td width="8%">PRECIO</td>

							<td width="9%">DCTO </td>

							<td width="7%">MONTO</td>

							<td width="6%">&nbsp;</td>

						</tr>

				</table>

				<div id="lineaResultado2">

				  <iframe width="100%" height="310" id="frame_lineas" name="frame_lineas" frameborder="0">

                  <ilayer width="100%" height="310" id="frame_lineas" name="frame_lineas"></ilayer>

				  </iframe>

				</div>					

			  </div>

			  <div id="frmBusqueda" style="display:none">

			<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">

			  <tr>

			    <td width="27%" class="busqueda">Sub-total</td>

				<td width="73%" align="right"><div align="center"><? echo $simbolomoneda ?>

			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" align="right" value="<? echo number_format($baseimponible,2)?>" readonly> 

		        </div></td>

			  </tr>

			  <tr>

				<td class="busqueda">IVA</td>

				<td align="right"><div align="center"><? echo $simbolomoneda ?>

			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value="<? echo number_format($baseimpuestos,2)?>" readonly> 

		        </div></td>

			  </tr>

			  <tr>

				<td class="busqueda">Precio Total</td>

				<td align="right"><div align="center"><? echo $simbolomoneda ?>

			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right" value="<? echo number_format($preciototal,2)?>" readonly> 

		        </div></td>

			  </tr>

		</table>

			  </div>

				<div id="botonBusquedaAW">					

				  <div align="center">

				   <img src="../img/Symbol-Check_48x48-32.png" width="48" height="48" onClick="validar_cabecera()" border="0" onMouseOver="style.cursor=cursor">

					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor">

				    <input id="codfamilia" name="codfamilia" value="<? echo $codfamilia?>" type="hidden">

				    <input id="codfacturatmp" name="codfacturatmp" value="<? echo $codfacturatmp?>" type="hidden">

					<input id="modif" name="modif" value="0" type="hidden">				    

			      </div>

				</div>



			  </form>

			 </div>

		  </div>

		</div>

	</body>

</html>

